<script setup lang="ts">
import { inject, ref, type Ref } from 'vue'


const _num = inject<Ref<number>>('num1') ?? ref(1)
const doInc = () => {
  _num.value = _num.value + 1
}
const num1Click = inject<() => void>('num1Click') ?? doInc
</script>

<template>
  <button @click="num1Click()">{{ _num }}</button>
</template>

<style scoped></style>
